package cn.gygxzc.envir.core.logger;

import ch.qos.logback.classic.Level;
import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.classic.spi.IThrowableProxy;
import ch.qos.logback.classic.spi.LoggerContextVO;
import cn.gygxzc.tina.cloud.jwt.session.bean.User;
import org.slf4j.Marker;

import java.util.Map;

/**
 * @author tuonina
 * @createTime 2019/3/25
 */
public class CoreLoggerEvent implements ILoggingEvent {


    private ILoggingEvent realEvent;
    private User user;

    public CoreLoggerEvent(ILoggingEvent event){
        this.realEvent = event;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public User getUser() {
        return user;
    }

    @Override
    public String getThreadName() {
        return realEvent.getThreadName();
    }

    @Override
    public Level getLevel() {
        return realEvent.getLevel();
    }

    @Override
    public String getMessage() {
        return realEvent.getMessage();
    }

    @Override
    public Object[] getArgumentArray() {
        return realEvent.getArgumentArray();
    }

    @Override
    public String getFormattedMessage() {
        return realEvent.getFormattedMessage();
    }

    @Override
    public String getLoggerName() {
        return realEvent.getLoggerName();
    }

    @Override
    public LoggerContextVO getLoggerContextVO() {
        return realEvent.getLoggerContextVO();
    }

    @Override
    public IThrowableProxy getThrowableProxy() {
        return realEvent.getThrowableProxy();
    }

    @Override
    public StackTraceElement[] getCallerData() {
        return realEvent.getCallerData();
    }

    @Override
    public boolean hasCallerData() {
        return realEvent.hasCallerData();
    }

    @Override
    public Marker getMarker() {
        return realEvent.getMarker();
    }

    @Override
    public Map<String, String> getMDCPropertyMap() {
        return realEvent.getMDCPropertyMap();
    }

    @Override
    public Map<String, String> getMdc() {
        return realEvent.getMdc();
    }

    @Override
    public long getTimeStamp() {
        return realEvent.getTimeStamp();
    }

    @Override
    public void prepareForDeferredProcessing() {
        realEvent.prepareForDeferredProcessing();
    }
}
